scala.tools.nsc

# GenericRunnerCommand

#### class GenericRunnerCommand extends CompilerCommand

A command for ScriptRunner

Source
  GenericRunnerCommand.scala

Linear Supertypes
CompilerCommand, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenericRunnerCommand
2. CompilerCommand
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenericRunnerCommand(args: List[String])

2. #### new GenericRunnerCommand(args: List[String], error: (String) ⇒ Unit)

3. #### new GenericRunnerCommand(args: List[String], settings: GenericRunnerSettings)

### Type Members

1. #### type Setting = Settings.Setting

   Definition Classes
     CompilerCommand

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GenericRunnerCommand to any2stringadd[GenericRunnerCommand] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (GenericRunnerCommand, B)

   Implicit information
     This member is added by an implicit conversion from GenericRunnerCommand to ArrowAssoc[GenericRunnerCommand] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def arguments: collection.immutable.List[String]

   Arguments to thingToRun.

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def cmdDesc: String

   A descriptive alias for version and help messages.

   A descriptive alias for version and help messages.

   Definition Classes
     GenericRunnerCommand → CompilerCommand

10. #### def cmdName: String

    The name of the command.

    The name of the command.

    Definition Classes
      GenericRunnerCommand → CompilerCommand

11. #### def compCmdName: String

12. #### def createUsageMsg(label: String, shouldExplain: Boolean, cond: (Setting) ⇒ Boolean): String

    Definition Classes
      CompilerCommand

13. #### def createUsageMsg(cond: (Setting) ⇒ Boolean): String

    Creates a help message for a subset of options based on cond

    Creates a help message for a subset of options based on cond

    Definition Classes
      CompilerCommand

14. #### def ensuring(cond: (GenericRunnerCommand) ⇒ Boolean, msg: ⇒ Any): GenericRunnerCommand

    Implicit information
      This member is added by an implicit conversion from GenericRunnerCommand to Ensuring[GenericRunnerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (GenericRunnerCommand) ⇒ Boolean): GenericRunnerCommand

    Implicit information
      This member is added by an implicit conversion from GenericRunnerCommand to Ensuring[GenericRunnerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): GenericRunnerCommand

    Implicit information
      This member is added by an implicit conversion from GenericRunnerCommand to Ensuring[GenericRunnerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): GenericRunnerCommand

    Implicit information
      This member is added by an implicit conversion from GenericRunnerCommand to Ensuring[GenericRunnerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def expandArg(arg: String): List[String]

    Expands all arguments starting with @ to the contents of the file named like each argument.

    Expands all arguments starting with @ to the contents of the file named like each argument.

    Definition Classes
      CompilerCommand

21. #### def files: List[String]

    Definition Classes
      CompilerCommand

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from GenericRunnerCommand to StringFormat[GenericRunnerCommand] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def getInfoMessage(global: Global): String

    Definition Classes
      CompilerCommand

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### val howToRun: HowToRun

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def ok: Boolean

    Definition Classes
      GenericRunnerCommand → CompilerCommand

33. #### def processArguments: (Boolean, List[String])

    Definition Classes
      CompilerCommand

34. #### val settings: GenericRunnerSettings

    Definition Classes
      GenericRunnerCommand → CompilerCommand

35. #### def shortUsage: String

    Definition Classes
      CompilerCommand

36. #### def shortUsageMsg: String

37. #### def shouldProcessArguments: Boolean

    Definition Classes
      GenericRunnerCommand → CompilerCommand

38. #### def shouldStopWithInfo: Boolean

    For info settings, compiler should just print a message and quit.

    For info settings, compiler should just print a message and quit.

    Definition Classes
      CompilerCommand

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def thingToRun: String

    String with either the jar file, class name, or script file name.

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### def usageMsg: String

    Messages explaining usage and options

    Messages explaining usage and options

    Definition Classes
      GenericRunnerCommand → CompilerCommand

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def xusageMsg: String

    Definition Classes
      CompilerCommand

47. #### def yusageMsg: String

    Definition Classes
      CompilerCommand

48. #### def →[B](y: B): (GenericRunnerCommand, B)

    Implicit information
      This member is added by an implicit conversion from GenericRunnerCommand to ArrowAssoc[GenericRunnerCommand] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CompilerCommand

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from GenericRunnerCommand to any2stringadd[GenericRunnerCommand]

### Inherited by implicit conversion StringFormat from GenericRunnerCommand to StringFormat[GenericRunnerCommand]

### Inherited by implicit conversion Ensuring from GenericRunnerCommand to Ensuring[GenericRunnerCommand]

### Inherited by implicit conversion ArrowAssoc from GenericRunnerCommand to ArrowAssoc[GenericRunnerCommand]

### Ungrouped